# Class CIM_SecurityServiceForSystem
extends CIM_ProvidesServiceToElement

The CIM_SecurityServiceForSystem provides the association between a System and a SecurityService that provides services for that system. This association does not add any constraints or semantics to ServiceAvailableToElement. As a result, it is deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_SecurityServiceForSystem

## Direct Known Subclasses

CIM_ManagesAccountOnSystem

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ServiceAvailableToElement
Description | string | The CIM_SecurityServiceForSystem provides the association between a System and a SecurityService that provides services for that system. This association does not add any constraints or semantics to ServiceAvailableToElement. As a result, it is deprecated.
UMLPackagePath | string | CIM::User::SecurityServices
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SecurityServiceForSystem | CIM_SecurityService
Dependent | CIM_SecurityServiceForSystem | CIM_System

## Class Methods